package org.jeecg.modules.ctop.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.ctop.entity.KuaishouEffectVideoInfo;
import org.jeecg.modules.ctop.mapper.KuaishouEffectVideoInfoMapper;
import org.jeecg.modules.ctop.service.IKuaishouEffectVideoInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 快手视频数据清洗信息
 * @author jeecg-boot
 * @date   2020-07-23
 * @version V1.0
 */
@Service
public class KuaishouEffectVideoInfoServiceImpl extends ServiceImpl<KuaishouEffectVideoInfoMapper, KuaishouEffectVideoInfo> implements IKuaishouEffectVideoInfoService {
    @Autowired
    private KuaishouEffectVideoInfoMapper effectVideoInfoMapper;
    @Override
    public void updateInitialCostDateBySignature(String signature) {
        effectVideoInfoMapper.updateInitialCostDateBySignature(signature);
    }

    @Override
    public void updateFinalCostDateBySignature(String signature) {
        effectVideoInfoMapper.updateFinalCostDateBySignature(signature);
    }

    @Override
    public void updateTotalCostBySignature(String signature) {
        effectVideoInfoMapper.updateTotalCostBySignature(signature);
    }

    @Override
    public void updateTowWeekCostBySignature(String signature) {
        effectVideoInfoMapper.updateTowWeekCostBySignature(signature);
    }
}
